> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generates link to run mobile input with one time auth token to inject image to specific transaction

> Link can be requested for a non-running transaction.
The token in the link gives the right to add files and start a specific transaction without the ability to get processing results.



## OpenAPI

````yaml /openapi.json post /api/publicapi/v1/transactions/{transactionId}/mobileInputLink
openapi: 3.0.4
info:
  title: Vantage processing REST API
  description: 'Environment: Production<br>Product Version: 1.6.17'
  version: '1.0'
  x-application-version: 1.6.17
servers:
  - url: https://vantage-us.abbyy.com
    description: Production United States
  - url: https://vantage-eu.abbyy.com
    description: Production Europe
  - url: https://vantage-au.abbyy.com
    description: Production Australia
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/publicapi/v1/transactions/{transactionId}/mobileInputLink:
    post:
      tags:
        - Transactions
      summary: >-
        Generates link to run mobile input with one time auth token to inject
        image to specific transaction
      description: >-
        Link can be requested for a non-running transaction.

        The token in the link gives the right to add files and start a specific
        transaction without the ability to get processing results.
      operationId: GenerateMobileInputLink
      parameters:
        - name: transactionId
          in: path
          description: >-
            Transaction identifier. You receive it in the response after the
            transaction has been

            successfully created.
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: New link successfully generated
          content:
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.MobileInputLinkResult
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.MobileInputLinkResult
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.MobileInputLinkResult
        '400':
          description: Link can not be generated because transaction has invalid status
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
        '404':
          description: Transaction not found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
components:
  schemas:
    Abbyy.Vantage.PublicApi.Contract.Transactions.Results.MobileInputLinkResult:
      required:
        - transactionId
      type: object
      properties:
        transactionId:
          type: string
          description: >-
            Transaction identifier.

            You receive it in the response after the transaction has been
            successfully created.
          format: uuid
        mobileInputLink:
          type: string
          description: >-
            Mobile input link which contains one time authorization token for
            current transaction.
          nullable: true
        isShortLink:
          type: boolean
          description: >-
            Is the mobile input link a short link referencing the origin mobile
            input link.
      additionalProperties: false
      description: Result of link generation
    Microsoft.AspNetCore.Mvc.ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: string
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
  securitySchemes:
    OAuth2Security:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-preview.abbyy.com/auth2/connect/authorize
          tokenUrl: https://vantage-preview.abbyy.com/auth2/connect/token
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions

````